Fetching data...
Developer API Reference
Build powerful integrations with our platform APIs.
Fetching data...
Build powerful integrations with our platform APIs.
Build powerful integrations with our platform APIs.
Dynamic API reference synchronized with our latest backend endpoints.
/api/admin/billingRetrieves MRR, tenant stats, and subscription statuses. Accessible only by Global Administrators.
Example Request
bashcurl -X GET "https://your-tenant.peoplelensai.com/api/admin/billing" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" Example Response
json{
"stats": {
"active": 0,
"past_due": 0,
"unpaid": 0,
"trialing": 0,
"canceled": 0,
"total": 0
},
"mrr": 0,
"tenants": [
{
"id": "string",
"name": "string",
"status": "string",
"plan": "string",
"mrr": 0,
"joined": "2026-03-01T10:32:38.838Z"
}
]
}/api/admin/tax-settingsFetches current Stripe Tax configuration, custom invoice fields (Bank Account, SWIFT, IČO, DIČ), and company address details. Requires GlobalAdmin.
Example Request
bashcurl -X GET "https://your-tenant.peoplelensai.com/api/admin/tax-settings" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" Example Response
json{
"address": {},
"company_name": "string",
"dic": "string",
"ico": "string",
"bank_account": "string",
"swift_bic": "string",
"support_email": "string",
"support_phone": "string",
"invoice_footer": "string",
"registration_id": "string"
}/api/admin/tax-settingsModifies Stripe Tax head office address, custom invoice fields, and company profile info. Requires GlobalAdmin.
line1stringcitystringpostal_codestringcountrystringdicstringicostringcompany_namestringbank_accountstringswift_bicstringsupport_emailstringsupport_phonestringinvoice_footerstringExample Request
bashcurl -X POST "https://your-tenant.peoplelensai.com/api/admin/tax-settings" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{"line1":"string","city":"string","postal_code":"string","country":"string","dic":"string","ico":"string","company_name":"string","bank_account":"string","swift_bic":"string","support_email":"string","support_phone":"string","invoice_footer":"string"}'Example Response
json{
"success": true
}